%define major		8
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		exempi
Summary:	Library for easy parsing of XMP metadata
Version:	2.5.1
%define subrel 1
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD-like
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
Source1:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2.asc
Patch0:		202107.patch
Patch1:		202108-1.patch
Patch2:		202108-2.patch
BuildRequires:	pkgconfig(expat)
BuildRequires:	boost-devel
Conflicts:	%{mklibname %{name} 3}
# Temp cauldron fix (to be removed in mga8):
Conflicts:	%{libname} < 2.5.0-4

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{libname}
Summary:	XMP implementation
Group:		System/Libraries

%description -n %{libname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure CPPFLAGS="-fno-strict-aliasing -DBanAllEntityUsage=1"

%make_build

%check
%__make check

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 17 2022 ns80 <ns80> 2.5.1-2.1.mga8
+ Revision: 1864682
- add patches from Ubuntu for many security issues (mga#30557)

* Sun Feb 16 2020 umeabot <umeabot> 2.5.1-2.mga8
+ Revision: 1534810
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 06 2019 daviddavid <daviddavid> 2.5.1-1.mga8
+ Revision: 1449987
- new version: 2.5.1

* Mon Jan 14 2019 daviddavid <daviddavid> 2.5.0-4.mga7
+ Revision: 1356387
- move also the manpages into the main pkg

* Mon Jan 14 2019 tv <tv> 2.5.0-3.mga7
+ Revision: 1356372
- actually fix conflicts & upgrade

* Mon Jan 14 2019 kekepower <kekepower> 2.5.0-2.mga7
+ Revision: 1356329
- Fix conflicts

* Sun Jan 13 2019 kekepower <kekepower> 2.5.0-1.mga7
+ Revision: 1356064
- Update to version 2.5.0

* Wed Oct 17 2018 mrambo3501 <mrambo3501> 2.4.5-4.mga7
+ Revision: 1321837
- add upsteam patch which fixes CVE-2018-12648 (mga#23702)
- add upsteam patch which fixes CVE-2018-12648 (mga#23702)

* Sun Sep 23 2018 umeabot <umeabot> 2.4.5-3.mga7
+ Revision: 1297639
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 wally <wally> 2.4.5-2.mga7
+ Revision: 1234991
- fix build on aarch64

* Mon Mar 19 2018 kekepower <kekepower> 2.4.5-1.mga7
+ Revision: 1210344
- Update to version 2.4.5 (mga#22801)
- Use new make macros

* Fri Mar 04 2016 luigiwalser <luigiwalser> 2.2.2-16.mga6
+ Revision: 985705
- should be compiled with BanAllEntityUsage (rhbz#888765)

* Mon Feb 08 2016 umeabot <umeabot> 2.2.2-15.mga6
+ Revision: 944113
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-14.mga5
+ Revision: 739564
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.2-13.mga5
+ Revision: 726234
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-12.mga5
+ Revision: 679059
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 spuhler <spuhler> 2.2.2-11.mga5
+ Revision: 674376
- upgrade to version 2.2.2
- replaced asc files

* Sun Feb 16 2014 dams <dams> 2.2.1-11.mga5
+ Revision: 592500
- new version 2.2.1

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-11.mga4
+ Revision: 529408
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2.2.0-10.mga4
+ Revision: 451771
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 349840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 2.2.0-1.mga3
+ Revision: 309360
- new version 2.2.0
- update %%description
- clean specfile
- sync with fedora

* Mon Apr 02 2012 pterjan <pterjan> 2.1.1-4.mga2
+ Revision: 227777
- Rebuild after libexpat.la removal

* Sat Jan 15 2011 blino <blino> 2.1.1-3.mga1
+ Revision: 19089
- imported package exempi


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-3mdv2011.0
+ Revision: 605109
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2010.1
+ Revision: 522577
- rebuilt for 2010.1

* Mon Aug 10 2009 Emmanuel Andry <eandry@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 414315
- New version 2.1.1
- drop gcc patch

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix compilation with gcc 4.4

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.1.0-2mdv2009.1
+ Revision: 324631
- New upstream release

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.99.8-2mdv2009.0
+ Revision: 220732
- rebuild

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 1.99.8-1mdv2008.1
+ Revision: 158881
- new major
- New version 1.99.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Adam Williamson <awilliamson@mandriva.org>
    - Import exempi

